import { useEffect } from "react";

const BackgroundAnimation = (): JSX.Element => {
  useEffect(() => {
    const images = [
      "src/assets/1.jpg",
      "src/assets/2.jpg",
      "src/assets/3.jpg",
      "src/assets/4.jpg",
    ];

    // Pre-load images
    for (const i of images) {
      console.log(i);
    }

    // Start animation
    document.body.style.animation = "backgroundTransition 30s infinite";
  }, []);

  return <></>;
};

export default BackgroundAnimation;
